GET /api/v3/chargebackWorkflowStep

Get a list of chargeback workflow steps

GetChargebackWorkflowStepsV3 Permissions: ChargebacksModule (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
chargebackWorkflowType Pass either “split” or “calculation” to filter workflow steps string Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

ChargebackWorkflowStepChild
Property Description Type
chargebackWorkflow ChargebackWorkflowBase
ChargebackWorkflowBase properties
Property Description Type
chargebackWorkflowId Identifier for the chargeback workflow integer (int32)
chargebackWorkflowInfo Name given to the chargeback workflow string
chargebackWorkflowStepDescription Description for the chargeback workflow step string
chargebackWorkflowStepId Identifier for the chargeback workflow step integer (int32)
chargebackWorkflowStepInfo Name given to the chargeback workflow step string
chargebackWorkflowStepOrder The order for this step within the chargeback workflow integer (int32)
chargebackWorkflowStepType The chargeback type that can be assign to this chargeback workflow step. One of ‘Split’, ‘Calculation’ One of ‘Split’, ‘Calculation’ string
Example Response application/json
[
  {    "chargebackWorkflow": {      "chargebackWorkflowId": 1,      "chargebackWorkflowInfo": "string"
    },    "chargebackWorkflowStepDescription": "string",    "chargebackWorkflowStepId": 1,    "chargebackWorkflowStepInfo": "string",    "chargebackWorkflowStepOrder": 1,    "chargebackWorkflowStepType": "string"
  }
]